RPMDEPS(1)

NOM
rpmdeps – Génération des dépendances de paquet RPM

SYNOPSIS
rpmdeps opération [options]

rpmdeps opération [options] FICHIER ...

DESCRIPTION
rpmdeps détermine les dépendances de paquet pour un ou plusieurs fichiers, passés soit par une liste de noms de fichier sur l’entrée standard, soit comme arguments de la ligne de commande.

Normalement rpmdeps n’est pas invoqué directement, mais le faire peut être utile pour résoudre cette détermination de dépendances et développer de nouveaux générateurs de dépendances. Le répertoire d’installation de rpmdeps peut être déterminé avec rpm -E "%{_rpmconfigdir}".

Notez que la commande rpmdeps à proprement parler est seulement utilisée pour la génération automatique de dépendances dans le mode patrimonial de rpmbuild(1).

OPÉRATIONS
--alldeps
    Afficher toutes les dépendances.

--conflicts
    Afficher les dépendances « conflicts ».

--enhances
    Afficher les dépendances « enhances ».

--obsoletes
    Afficher les dépendances « obsoletes ».

--orderwithrequires
    Afficher les dépendances « orderwithrequires ».

-P, --provides
    Afficher les dépendances « provides ».

--recommends
    Afficher les dépendances « recommends ».

-R, --requires
    Afficher les dépendances « requires ».

--suggests
    Afficher les dépendances « suggests ».

--supplements
    Afficher les dépendances « supplements ».

ARGUMENTS
FICHIER
    N’importe quel fichier normal.

OPTIONS
Consulter rpm-common(8) pour les options communes à toutes les opérations.

ENVIRONNEMENT
RPM_BUILD_ROOT
    Le préfixe de chemin à supprimer lors de la génération de dépendances basées sur les chemins réels.

CODE DE RETOUR
En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

EXEMPLES
rpmdeps --requires /bin/ls
    Afficher les dépendances automatiques « requires » du binaire ls(1).

find popt-1.19-build/BUILDROOT -type f | /usr/lib/rpm/rpmdeps -P
    Afficher les « provides » automatiques de tous les fichiers dans le répertoire popt-1.19-build/BUILDROOT.

VOIR AUSSI
rpm(8), rpmbuild(1), rpm-common(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.